Get token transfers by transaction
curl --request GET \
--url https://data-api.b3.fun/insights/v1/tokens/transfers/transaction/{transaction_hash}import requests
url = "https://data-api.b3.fun/insights/v1/tokens/transfers/transaction/{transaction_hash}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://data-api.b3.fun/insights/v1/tokens/transfers/transaction/{transaction_hash}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"meta": {
"chain_id": 123,
"address": "<string>",
"signature": "<string>",
"page": 123,
"limit": 123,
"total_items": 123,
"total_pages": 123
},
"data": [
{
"block_number": "<string>",
"block_timestamp": "<string>",
"transaction_hash": "<string>",
"from_address": "<string>",
"to_address": "<string>",
"log_index": 123,
"contract_address": "<string>",
"transfer_type": "mint",
"token_type": "erc20",
"amount": "<string>",
"chain_id": 123,
"block_hash": "<string>",
"token_metadata": {
"name": "<string>",
"symbol": "<string>",
"decimals": 123,
"price_data": {
"price_usd": 123,
"usd_value": 123,
"volume_24h_usd": 123,
"market_cap_usd": 123,
"circulating_supply": 123,
"total_supply": 123,
"percent_change_24h": 123,
"price_timestamp": "<string>"
}
},
"price_data": {
"price_usd": 123,
"usd_value": 123,
"volume_24h_usd": 123,
"market_cap_usd": 123,
"circulating_supply": 123,
"total_supply": 123,
"percent_change_24h": 123,
"price_timestamp": "<string>"
}
}
],
"aggregations": null
}{
"meta": {
"chain_id": 123,
"address": "<string>",
"signature": "<string>",
"page": 123,
"limit": 123,
"total_items": 123,
"total_pages": 123
},
"data": [
{
"block_number": "<string>",
"block_timestamp": "<string>",
"transaction_hash": "<string>",
"from_address": "<string>",
"to_address": "<string>",
"log_index": 123,
"contract_address": "<string>",
"transfer_type": "mint",
"token_type": "erc20",
"amount": "<string>",
"chain_id": 123,
"block_hash": "<string>",
"token_metadata": {
"name": "<string>",
"symbol": "<string>",
"decimals": 123,
"price_data": {
"price_usd": 123,
"usd_value": 123,
"volume_24h_usd": 123,
"market_cap_usd": 123,
"circulating_supply": 123,
"total_supply": 123,
"percent_change_24h": 123,
"price_timestamp": "<string>"
}
},
"price_data": {
"price_usd": 123,
"usd_value": 123,
"volume_24h_usd": 123,
"market_cap_usd": 123,
"circulating_supply": 123,
"total_supply": 123,
"percent_change_24h": 123,
"price_timestamp": "<string>"
}
}
],
"aggregations": null
}insights/tokens
Get token transfers by transaction
Get token transfers by transaction
GET
/
insights
/
v1
/
tokens
/
transfers
/
transaction
/
{transaction_hash}
Get token transfers by transaction
Path Parameters
Query Parameters
Use chain_id instead
Example:
[20, 56, 1]
The chain ID(s) to request the data for. You can specify multiple chain IDs, up to a maximum of 55. Use repeated query parameters, e.g., ?chain_id=20&chain_id=56. Optional, because a single chain can as well be specified as a subdomain
Example:
[20, 56, 1]
The number of items to return
Required range:
0 < x <= 1000Example:
20
Page number (0-indexed). Maximum value depends on query parameters: 20 for regular queries, 500 when using aggregate or group_by parameters.
Required range:
x >= 0Example:
0
Whether to include metadata for the tokens
Available options:
true, false Example:
"false"
Whether to include owner addresses in the NFT metadata (only if metadata is requested)
Available options:
true, false Example:
"false"
The types of tokens to include in the response. Can be an empty array to include all types
Available options:
erc1155, erc721, erc20
HypeDuel